View Issue Details

IDProjectCategoryView StatusLast Update
0005591Talerotherpublic2019-02-27 21:10
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0005591: Survey site stuck when surveying with JavaScript disabled.
DescriptionIn such a situation, the page freezes showing a "payment processing..." message. Not sure where the fault is: site or wallet.
Additional InformationHappened on the DEMO deployment.
TagsNo tags attached.

Activities

Marcello Stanisci

2019-02-25 18:28

manager   ~0014028

Last edited: 2019-02-25 19:13

View 3 revisions

I must rectify this report. With JavaScript disabled (and wallet enabled and _working_) the survey site *does* work. My report related to a state where JavaScript was disabled *and* the wallet was in a broken/unreliable state.

Nonetheless, also with a working but disabled wallet, the frontend still gives the possibility to initiate the tipping, that ends in the freezed page described in this report. So the first and obvious fix is to grey out the tipping button when no wallet is enabled.

Marcello Stanisci

2019-02-25 19:14

manager   ~0014031

This commit: b69635c6cfde0aad98c93, fixes the wallet detection. No survey button appears if wallet is not active/installed.

Issue History

Date Modified Username Field Change
2019-02-20 15:17 Marcello Stanisci New Issue
2019-02-25 18:28 Marcello Stanisci Note Added: 0014028
2019-02-25 19:13 Marcello Stanisci Note Edited: 0014028 View Revisions
2019-02-25 19:13 Marcello Stanisci Note Edited: 0014028 View Revisions
2019-02-25 19:14 Marcello Stanisci Note Added: 0014031
2019-02-25 19:14 Marcello Stanisci Assigned To => Marcello Stanisci
2019-02-25 19:14 Marcello Stanisci Status new => resolved
2019-02-25 19:14 Marcello Stanisci Resolution open => fixed
2019-02-27 21:10 Christian Grothoff Product Version => SVN HEAD
2019-02-27 21:10 Christian Grothoff Fixed in Version => 0.6
2019-02-27 21:10 Christian Grothoff Target Version => 0.6